-- run these as postgres

-- Create the user 'minhtran' if it does not exist
DO
$$
    BEGIN
        IF NOT EXISTS (SELECT
                       FROM pg_catalog.pg_roles
                       WHERE rolname = 'minhtran') THEN
            CREATE ROLE minhtran LOGIN PASSWORD 'password';
        END IF;
    END
$$;

-- Terminate all connections to the database
REVOKE CONNECT ON DATABASE assignment1 FROM PUBLIC;
SELECT pg_terminate_backend(pg_stat_activity.pid)
FROM pg_stat_activity
WHERE pg_stat_activity.datname = 'assignment1'
  AND pid <> pg_backend_pid();

-- Drop the database
DROP DATABASE IF EXISTS "assignment1";

-- Create the new database
CREATE DATABASE "assignment1";

-- Grant all privileges on the new database to 'minhtran'
GRANT ALL PRIVILEGES ON DATABASE "assignment1" TO minhtran;
